Bug 108170 - PackageTool should check 'requires' tag dependencies against what is in the DB shcema
Summary: PackageTool should check 'requires' tag dependencies against what is in the D...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-28 10:59 UTC by Daniel Berrange
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:25:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-28 10:59:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The package tool checks the <table> dependencies within the <requires> tag based
on what is in previously processed '<provides>' tags. So, a dependent table
*has* been loaded, but wasn't listed in the '<provides>' tag an error will be
thrown. The package tool should check with the DB directly to see if a table is
present rather than trying to maintain its own imcomplete data dictionary.
 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add 

<requires>
  <table name="cms_items"/>
</requires>
 
to a content type .load file.

2. Load CMS
3. Load the content type
    

Actual Results:  Loading schema for ccm-cms-types-article
required tables: [cms_items]


Expected Results:  The article content type is loaded.

Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:25:59 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.